Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 2761753002: Cleanup ContentSuggestions cells (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by gambard
Modified:
4 months, 1 week ago
Reviewers:
baxley, lpromero
CC:
chromium-reviews, ios-reviews+chrome_chromium.org, ios-reviews_chromium.org, pkl (ping after 24h if needed), noyau+watch_chromium.org, marq+watch_chromium.org, sdefresne+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Cleanup ContentSuggestions cells This CL moves the ContentSuggestions cells and items to a separate forlder. It also renames the ContentSuggestionsTextItem to ContentSuggestionsButtonItem. BUG=694159 Review-Url: https://codereview.chromium.org/2761753002 Cr-Commit-Position: refs/heads/master@{#458363} Committed: https://chromium.googlesource.com/chromium/src/+/ce6b6a0d684b1ba63accead22156e32d53d169cc

Patch Set 1 #

Patch Set 2 : Move unit tests #

Total comments: 2

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Patch Set 5 : Add identifier tests #

Patch Set 6 : Fix import #

Patch Set 7 : Fix tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+98 lines, -1888 lines) Patch
M ios/chrome/browser/content_suggestions/BUILD.gn View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M ios/chrome/browser/content_suggestions/content_suggestions_coordinator.mm View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/content_suggestions/BUILD.gn View 1 2 3 1 chunk +1 line, -42 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/BUILD.gn View 1 2 3 3 chunks +9 lines, -23 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_article_item.h View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_article_item.mm View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_article_item_unittest.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_button_item.h View 2 chunks +7 lines, -7 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_button_item.mm View 5 chunks +8 lines, -8 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_button_item_actions.h View 2 chunks +4 lines, -4 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_button_item_unittest.mm View 1 2 3 4 5 6 2 chunks +8 lines, -8 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_expandable_item.h View 2 chunks +4 lines, -4 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_expandable_item.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_expandable_item_unittest.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_favicon_internal_cell.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_favicon_internal_cell.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_favicon_item.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_favicon_item.mm View 1 chunk +2 lines, -2 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_favicon_item_unittest.mm View 1 chunk +2 lines, -2 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_footer_item.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_footer_item.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_footer_item_unittest.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_stack_item.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_stack_item.mm View 1 chunk +2 lines, -2 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_stack_item_actions.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/content_suggestions_stack_item_unittest.mm View 1 chunk +1 line, -1 line 0 comments Download
A + ios/chrome/browser/ui/content_suggestions/cells/expandable_item.h View 2 chunks +3 lines, -3 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_article_item.h View 1 2 3 1 chunk +0 lines, -61 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_article_item.mm View 1 2 3 1 chunk +0 lines, -216 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_article_item_unittest.mm View 1 chunk +0 lines, -84 lines 0 comments Download
M ios/chrome/browser/ui/content_suggestions/content_suggestions_collection_updater.mm View 1 2 1 chunk +6 lines, -6 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_expandable_item.h View 1 chunk +0 lines, -58 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_expandable_item.mm View 1 chunk +0 lines, -237 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_expandable_item_unittest.mm View 1 chunk +0 lines, -108 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_favicon_internal_cell.h View 1 chunk +0 lines, -20 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_favicon_internal_cell.mm View 1 chunk +0 lines, -70 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_favicon_item.h View 1 chunk +0 lines, -44 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_favicon_item.mm View 1 chunk +0 lines, -142 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_favicon_item_unittest.mm View 1 chunk +0 lines, -95 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_footer_item.h View 1 chunk +0 lines, -32 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_footer_item.mm View 1 chunk +0 lines, -88 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_footer_item_unittest.mm View 1 chunk +0 lines, -64 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_stack_item.h View 1 chunk +0 lines, -33 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_stack_item.mm View 1 chunk +0 lines, -143 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_stack_item_actions.h View 1 chunk +0 lines, -16 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_stack_item_unittest.mm View 1 chunk +0 lines, -31 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_text_item.h View 1 chunk +0 lines, -31 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_text_item.mm View 1 chunk +0 lines, -97 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_text_item_actions.h View 1 chunk +0 lines, -18 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/content_suggestions_text_item_unittest.mm View 1 chunk +0 lines, -31 lines 0 comments Download
M ios/chrome/browser/ui/content_suggestions/content_suggestions_view_controller.h View 1 chunk +2 lines, -2 lines 0 comments Download
M ios/chrome/browser/ui/content_suggestions/content_suggestions_view_controller.mm View 1 2 3 1 chunk +5 lines, -5 lines 0 comments Download
D ios/chrome/browser/ui/content_suggestions/expandable_item.h View 1 chunk +0 lines, -18 lines 0 comments Download
M ios/chrome/browser/ui/content_suggestions/identifier/BUILD.gn View 1 2 3 chunks +2 lines, -2 lines 0 comments Download
M ios/chrome/browser/ui/settings/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/settings/material_cell_catalog_view_controller.mm View 1 chunk +2 lines, -2 lines 0 comments Download
M ios/chrome/test/BUILD.gn View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 23 (12 generated)
gambard
PTAL. I am not sure about moving the ContentSuggestionIdentifier to cells/ as it is not ...
4 months, 1 week ago (2017-03-20 10:57:55 UTC) #2
lpromero
lgtm I am fine with ContentSuggestionIdentifier. It's a concept only used by cells and collections, ...
4 months, 1 week ago (2017-03-20 11:41:51 UTC) #3
gambard
Thanks! I have moved the identifiers to a custom target anyway. https://codereview.chromium.org/2761753002/diff/20001/ios/chrome/browser/ui/content_suggestions/cells/BUILD.gn File ios/chrome/browser/ui/content_suggestions/cells/BUILD.gn (right): ...
4 months, 1 week ago (2017-03-20 15:04:15 UTC) #4
gambard
+baxley for ios/chrome/test/BUILD.gn
4 months, 1 week ago (2017-03-20 15:47:06 UTC) #6
baxley
On 2017/03/20 15:47:06, gambard wrote: > +baxley for ios/chrome/test/BUILD.gn LGTM
4 months, 1 week ago (2017-03-20 15:49:12 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2761753002/80001
4 months, 1 week ago (2017-03-21 07:55:02 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device-xcode-clang/builds/59392) ios-simulator-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
4 months, 1 week ago (2017-03-21 08:04:02 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2761753002/100001
4 months, 1 week ago (2017-03-21 08:18:20 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator-xcode-clang/builds/62941)
4 months, 1 week ago (2017-03-21 08:26:51 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2761753002/120001
4 months, 1 week ago (2017-03-21 08:32:23 UTC) #20
commit-bot: I haz the power
4 months, 1 week ago (2017-03-21 09:54:27 UTC) #23
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/ce6b6a0d684b1ba63accead22156...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973